summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sean Eubanks2023-06-17 03:15:10 +0200
committer Willy Sudiarto Raharjo2023-06-17 03:15:10 +0200
commitb1c33fec40b5068fe7c5886196003690ac78cd0a (patch)
tree1e85aa221d32339ada5712934c6bf3b1b4928892
parent573c967149b75b9806d9e4d22d6a50432ca5c886 (diff)
downloadslackbuilds-b1c33fec40b5068fe7c5886196003690ac78cd0a.tar.gz
graphics/blockbench: Added (3D Model Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/blockbench/README7
-rw-r--r--graphics/blockbench/blockbench.SlackBuild85
-rw-r--r--graphics/blockbench/blockbench.info10
-rw-r--r--graphics/blockbench/doinst.sh11
-rw-r--r--graphics/blockbench/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/graphics/blockbench/README b/graphics/blockbench/README
new file mode 100644
index 0000000000..2ae8e69a91
--- /dev/null
+++ b/graphics/blockbench/README
@@ -0,0 +1,7 @@
+blockbench (3D model editor)
+
+Blockbench is a free, modern model editor for low-poly and boxy models
+with pixel art textures. Models can be exported into standardized
+formats, to be shared, rendered, 3D-printed, or used in game engines.
+There are also multiple dedicated formats for Minecraft Java and
+Bedrock Edition with format-specific features.
diff --git a/graphics/blockbench/blockbench.SlackBuild b/graphics/blockbench/blockbench.SlackBuild
new file mode 100644
index 0000000000..949040d433
--- /dev/null
+++ b/graphics/blockbench/blockbench.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for blockbench
+
+# Copyright 2023 Sean Eubanks <seanmeu@protonmail.com>, Cheraw, SC, USA
+# All rights reserved.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to
+# deal in the Software without restriction, including without limitation the
+# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+# sell copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=blockbench
+SRCNAM=Blockbench
+VERSION=${VERSION:-4.7.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio < $CWD/${SRCNAM}_${VERSION}.rpm | cpio -imdv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp -ap {opt,usr} $PKG/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# RPM does not come with symlink from opt so creating that here
+mkdir $PKG/usr/bin
+ln -s /opt/$SRCNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/blockbench/blockbench.info b/graphics/blockbench/blockbench.info
new file mode 100644
index 0000000000..9400ed280b
--- /dev/null
+++ b/graphics/blockbench/blockbench.info
@@ -0,0 +1,10 @@
+PRGNAM="blockbench"
+VERSION="4.7.4"
+HOMEPAGE="https://www.blockbench.net"
+DOWNLOAD="https://github.com/JannisX11/blockbench/releases/download/v4.7.4/Blockbench_4.7.4.rpm"
+MD5SUM="1fb720af21e58be0a4cd192ea9dca51e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sean Eubanks"
+EMAIL="seanmeu@protonmail.com"
diff --git a/graphics/blockbench/doinst.sh b/graphics/blockbench/doinst.sh
new file mode 100644
index 0000000000..ea6e67c7b9
--- /dev/null
+++ b/graphics/blockbench/doinst.sh
@@ -0,0 +1,11 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/graphics/blockbench/slack-desc b/graphics/blockbench/slack-desc
new file mode 100644
index 0000000000..f644ee7f78
--- /dev/null
+++ b/graphics/blockbench/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+blockbench: blockbench (3D model editor)
+blockbench:
+blockbench: Blockbench is a free, modern model editor for low-poly and boxy models
+blockbench: with pixel art textures. Models can be exported into standardized
+blockbench: formats, to be shared, rendered, 3D-printed, or used in game engines.
+blockbench: There are also multiple dedicated formats for Minecraft Java and
+blockbench: Bedrock Edition with format-specific features.
+blockbench:
+blockbench:
+blockbench:
+blockbench: https://www.blockbench.net/